Greetings all,

Kernels with the GCOV-kernel patch do not compile with the gcc-3.3.3-43.24 compiler distributed with SLES9.  I’ll be fixing the patch.  But for a short-term solution, I recommend compiling your kernels with gcc-3.3.3 which can be found at gcc.gnu.org. There is gcc-3.4 code in the GCOV-kernel patch, but the 3.3 code is well tested.

The problem is that GNU modified GCOV structures/code in version 3.4; and gcc-3.3.3-43.24 contains some elements of the changes, but not all.  I’ll sort this out and release a new patch.

Cheers.